List AWS availability zones
import requests
url = "https://platform.ankra.app/org/clusters/aws/availability-zones"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/clusters/aws/availability-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/aws/availability-zones \
--cookie ankra_session={
"zones": [
{
"name": "<string>",
"id": "<string>",
"state": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}AWS Clusters
List AWS availability zones
Browser session authentication; RBAC permission clusters.read. Lists the region’s availability zones. Answers 404 while the organisation’s aws_provider feature flag is off.
GET
/
org
/
clusters
/
aws
/
availability-zones
List AWS availability zones
import requests
url = "https://platform.ankra.app/org/clusters/aws/availability-zones"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/clusters/aws/availability-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/aws/availability-zones \
--cookie ankra_session={
"zones": [
{
"name": "<string>",
"id": "<string>",
"state": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Browser session. Mutations also require X-Ankra-CSRF.
Query Parameters
The organisation's AWS credential (a keys credential, or a role onboarded with the provisioning or self_managed scope).
AWS region slug, e.g. eu-west-1.
Response
Successful response
Show child attributes
Show child attributes